LayeredHighlighter.LayerPainter (Java SE 26 & JDK 26)
Description: declaration: module: java.desktop, package: javax.swing.text, class: LayeredHighlighter, class: LayerPainter
Keywords: javax.swing.text.LayeredHighlighter.LayerPainter class

# Class LayeredHighlighter.LayerPainter

java.lang.Object
javax.swing.text.LayeredHighlighter.LayerPainter

All Implemented Interfaces:
  `Highlighter.HighlightPainter`

Direct Known Subclasses:
  `DefaultHighlighter.DefaultHighlightPainter`

Enclosing class:
  `LayeredHighlighter`

public abstract static class LayeredHighlighter.LayerPainter extends Object implements Highlighter.HighlightPainter
Layered highlight renderer.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `LayerPainter()`
  Constructor for subclasses to call.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract Shape`
  `paintLayer(Graphics g, int p0, int p1, Shape viewBounds, JTextComponent editor, View view)`
  Paints a portion of a highlight.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

  ### Methods declared in interface Highlighter.HighlightPainter

  `paint`
  Modifier and Type
  Method
  Description
  `void`
  `paint(Graphics g, int p0, int p1, Shape bounds, JTextComponent c)`
  Renders the highlight.

- ## Constructor Details

  - ### LayerPainter

    protected LayerPainter()
    Constructor for subclasses to call.

- ## Method Details

  - ### paintLayer

    public abstract Shape paintLayer(Graphics g, int p0, int p1, Shape viewBounds, JTextComponent editor, View view)
    Paints a portion of a highlight.
    Parameters:
      `g` - Graphics used to draw
      `p0` - starting offset of view
      `p1` - ending offset of view
      `viewBounds` - Bounds of View
      `editor` - JTextComponent
      `view` - View instance being rendered
    Returns:
      a shape